GH_InitGlobalHistory called too soon

VERIFIED FIXED

Status

MozillaClassic
P3
normal
VERIFIED FIXED
20 years ago
15 years ago

People

(Reporter: Ronan Waide, Assigned: Steve Lamm)

Tracking

1998-04-29
Sun
Solaris

Details

(Reporter)

Description

20 years ago
Created by Ronan Waide (waider@waider.ie) on Wednesday, May 20, 1998 4:05:03 AM PDT
Additional Details :
GH_InitGlobalHistory is called before FE_GlobalHist is set
from the preferences file, meaning that gh_open_database
doesn't have a filename to work with. Here's a patch to
main()/mozilla-main() to fix this:

Index: cmd/xfe/mozilla.c
===================================================================
RCS file: /cvsroot/mozilla/cmd/xfe/mozilla.c,v
retrieving revision 3.5
diff -c -r3.5 mozilla.c
*** mozilla.c   1998/05/14 09:18:26     3.5
--- mozilla.c   1998/05/20 11:02:04
***************
*** 2799,2812 ****
    PREF_SetDefaultCharPref("profile.directory",
fe_config_dir);
    PREF_SetDefaultIntPref("profile.numprofiles", 1);

-   GH_InitGlobalHistory();
-
    /* SECNAV_INIT needs this defined, but
build_user_agent_string cannot
     * be called until after SECNAV_INIT, so call this
simplified version.
     */
    build_simple_user_agent_string(versionLocale);

    fe_InstallPreferences (0);

    /*
    ** Initialize the security library.
--- 2799,2812 ----
    PREF_SetDefaultCharPref("profile.directory",
fe_config_dir);
    PREF_SetDefaultIntPref("profile.numprofiles", 1);

    /* SECNAV_INIT needs this defined, but
build_user_agent_string cannot
     * be called until after SECNAV_INIT, so call this
simplified version.
     */
    build_simple_user_agent_string(versionLocale);

    fe_InstallPreferences (0);
+
+   GH_InitGlobalHistory();

    /*
    ** Initialize the security library.
Updated by Steve Lamm (slamm@netscape.com) on Wednesday, May 20, 1998 6:43:36 PM PDT
Additional Details :
The patch looks good.
I checked it in.
Updated by Steve Lamm (slamm@netscape.com) on Wednesday, May 20, 1998 6:44:18 PM PDT
Additional Details :
Marking resolved.

Updated

19 years ago
Component: XFE
mid-air collision ? / bugzilla cleanup
Reopening (current State: resolved and no resolution)
Status: RESOLVED → REOPENED
marking fixed
Status: REOPENED → RESOLVED
Last Resolved: 17 years ago
Resolution: --- → FIXED

Comment 3

15 years ago
VERIFIED due to no changes in over a year
Status: RESOLVED → VERIFIED
You need to log in before you can comment on or make changes to this bug.